petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFailedReason

indicates type of PC failure

### Synopsis

    typedef enum {PC_NOERROR,PC_FACTOR_STRUCT_ZEROPIVOT,PC_FACTOR_NUMERIC_ZEROPIVOT,PC_FACTOR_OUTMEMORY,PC_FACTOR_OTHER,PC_SUBPC_ERROR} PCFailedReason;

Any additions/changes here MUST also be made in include/petsc/finclude/petscpc.h

### Level

beginner

### Location

src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages